package com.gyee.wisdom.dao.simulator;

import com.gyee.wisdom.common.data.timeseries.TsData;
import com.gyee.wisdom.common.data.timeseries.TsPoint;
import com.gyee.wisdom.dao.timeseries.EDosDao;
import com.gyee.wisdom.dao.timeseries.IDataChangeDao;
import com.gyee.wisdom.dao.timeseries.SimulatorDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@SimulatorDao
@Slf4j
public class SimulatorDataChangeDao implements IDataChangeDao {


    public void registerTopic(String topic, List<TsPoint> tsPoints)  {

    }

    public void unRegisterTopic(String topic) {

    }

    public Map<String, TsData> getTopicDataChange(String topic) {
            return null;
    }


}
